
Application: gvSIG desktop - gvSIG bugs #5099
Las imagenes en BBDD no se ven en los formularios
10/10/2019 10:43 AM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.5.0-2923
Severity: Minor Add-on version:
gvSIG version: 2.5.0 Add-on build:
gvSIG build: 2918 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Associated revisions
Revision 44472 - 10/19/2019 10:00 AM - Joaquín  del Cerro Murciano

refs #5099, correccion de errores para que muestre correctamente una imagen en los formularios cuando un campo de un shp tiene la ruta relativa a
ella.

Revision 2029 - 10/19/2019 10:01 AM - Joaquín  del Cerro Murciano

refs #5099

History
#1 - 10/10/2019 01:53 PM - Joaquín  del Cerro Murciano

Cargando el fichero "victimas.xml" de ARENA2:
http://downloads.gvsig.org/download/geodata/vector/ARENA2/ARENA2_TV_03_2019_01_Q1.zip

Y mostrando el formulario de la tabla "ARENA2_CROQUIS" se muestran las imagenes.

Estoy usando gvSIG desktop 2.5.0-2920, con el addon  "Formats: DGT Arena2" version 1.0.1-0 instalado.

#2 - 10/10/2019 06:34 PM - Joaquín  del Cerro Murciano

Ups...
Lo he probado con el fichero xml, que coge la imagen desde una URL, habria que probarlo con una imagen incrustada en una tabla a ver si eso si que
falla.

#3 - 10/12/2019 10:53 PM - Joaquín  del Cerro Murciano

Joaquín  del Cerro Murciano wrote:
http://downloads.gvsig.org/download/geodata/vector/ARENA2/ARENA2_TV_03_2019_01_Q1.zip


Ups...
Lo he probado con el fichero xml, que coge la imagen desde una URL, habria que probarlo con una imagen incrustada en una tabla a ver si eso si
que falla.

He cargado images en la tabla de croquis de Arena2 en una BBDD de H2 y muestra las imagenes en blanco.
Le echare un vistazo.

#4 - 10/18/2019 11:38 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.0-2921 to 2.5.0-2923

#5 - 10/18/2019 08:04 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

Las imagenes empotradas en BBDD (como bytearray) ya se presentan correctamente.
El otro caso de uso que habia era un shp con un campo de tipo string con una ruta relativa a las imagenes teniendo como raiz la carpeta donde esta
el shape.
No estaba funcionando correctamente por que no reconocia el string como algo que pudiese ser una imagen. 
Si se cambia el tipo de campo de la imagen a File (he tenido que hacer correcciones para que lo acepte), ya funciona correctamente.

#6 - 10/22/2019 05:45 PM - Álvaro Anguix
- Status changed from Fixed to Closed
